Search found 2446 matches

Go to advanced search

by easyw-fc
Sat Jun 15, 2019 1:29 pm
Forum: Open discussion
Topic: Feature request: "Engineer UX Mode"
Replies: 16
Views: 744

Re: Feature request: "Rocket Science Mode"

Actually I (@ceremcem vs SM developers) . Maybe I should collect user opinions on this specific matter in the forum on a separate thread. This is an annoying thread... we as SM developers have already explained that forcing users to follow a more complex approach even for simple user case is a dead...
by easyw-fc
Fri Jun 14, 2019 10:47 am
Forum: Python scripting and macros
Topic: Approximate BSpline Surface radius
Replies: 2
Views: 70

Re: Approximate BSpline Surface radius

you may also have a look at Caliper of Mnaipulator WB
https://forum.freecadweb.org/viewtopic. ... 54#p257476
Image
by easyw-fc
Tue Jun 11, 2019 10:30 am
Forum: Install / Compile
Topic: No module named 'PathScripts.PathToolControllerGui'
Replies: 17
Views: 392

Re: No module named 'PathScripts.PathToolControllerGui'

No, this block is essential to keep existing project files loading properly. In existing project files the Python proxy of the view provider saves module name and class name which will be PathToolController instead of PathToolControllerGui. The line from PathScripts.PathToolControllerGui import Vie...
by easyw-fc
Tue Jun 11, 2019 8:27 am
Forum: Install / Compile
Topic: No module named 'PathScripts.PathToolControllerGui'
Replies: 17
Views: 392

Re: No module named 'PathScripts.PathToolControllerGui'

https://github.com/FreeCAD/FreeCAD/pull/2250 I think that's the fix. Rebuild from source or wait for the next daily build. I think there is still an error here: PathScripts/PathToolController.py#L197 it should be commented/removed: # if FreeCAD.GuiUp: # # need ViewProvider class in this file to sup...
by easyw-fc
Fri Jun 07, 2019 9:06 pm
Forum: Help on using FreeCAD
Topic: Attempting to pad a 2D sketch comes up blank
Replies: 2
Views: 42

Re: Attempting to pad a 2D sketch comes up blank

you need to fix your sketch
PCB Case-Pad.FCStd
(41.8 KiB) Downloaded 2 times
-
Pad-Body.png
Pad-Body.png (113.39 KiB) Viewed 36 times
by easyw-fc
Fri Jun 07, 2019 8:32 pm
Forum: Help on using FreeCAD
Topic: Draft is gone?!
Replies: 7
Views: 219

Re: Draft is gone?!

abdullah wrote:
Fri Jun 07, 2019 8:19 pm
Maybe related:
https://forum.freecadweb.org/viewtopic.php?f=3&t=36898
https://forum.freecadweb.org/viewtopic.php?f=10&t=36888

I copied DraftLayer.py from git to /usr/share/freecad-daily/Mod/Draft.
exactly thx!
I'll wait for a patched solution...
by easyw-fc
Fri Jun 07, 2019 7:56 pm
Forum: Open discussion
Topic: [FeatureRequest] Sketcher: Add additional information to geometry
Replies: 26
Views: 688

Re: [FeatureRequest] Sketcher: Add additional information to geometry

Oh, no, not that icon... this: ok, sorry... to do it manually one has to select all the sketch elements and this could be very time intensive (have a try with my file, the bigger sketch) ... moreover FC will crash at the end ... crash.gif App.ActiveDocument.Sketch.deleteUnusedInternalGeometry(geoid...
by easyw-fc
Fri Jun 07, 2019 7:40 pm
Forum: Help on using FreeCAD
Topic: Draft is gone?!
Replies: 7
Views: 219

Draft is gone?!

Hi, I'm getting these errors: No module named 'DraftLayer' Error: Initializing one or more of the Draft modules failed, Draft will not work as expected. Unknown command 'Draft_Line' Unknown command 'Draft_Wire' Unknown command 'Draft_Circle' Unknown command 'Draft_ArcTools' Unknown command 'Draft_El...
by easyw-fc
Fri Jun 07, 2019 4:02 pm
Forum: Open discussion
Topic: [FeatureRequest] Sketcher: Add additional information to geometry
Replies: 26
Views: 688

Re: [FeatureRequest] Sketcher: Add additional information to geometry

This should not work for the poles of a bspline. It suffers from the same problem as the geometry setting method. Once the constraints are deleted, the radii should jump to 1 mm. Does it work for you? it does... at least on my example file... Hiding internal alignment (as in my previous post) shoul...
by easyw-fc
Fri Jun 07, 2019 3:36 pm
Forum: Open discussion
Topic: [FeatureRequest] Sketcher: Add additional information to geometry
Replies: 26
Views: 688

Re: [FeatureRequest] Sketcher: Add additional information to geometry

Ah! I have downloaded your file and I see the issue. It is related to the fact that the circles are the weights of the bspline. If no radius is given they default to 1, weight=1.0. Unfortunately, the only solution I can think of for this very specific case is to select all construction circles, mak...

Go to advanced search